/*                                                                -*- C -*-
   +----------------------------------------------------------------------+
   | PHP Version 5                                                        |
   +----------------------------------------------------------------------+
   | Copyright (c) 1997-2006 The PHP Group                                |
   +----------------------------------------------------------------------+
   | This source file is subject to version 3.01 of the PHP license,      |
   | that is bundled with this package in the file LICENSE, and is        |
   | available through the world-wide-web at the following url:           |
   | http://www.php.net/license/3_01.txt                                  |
   | If you did not receive a copy of the PHP license and are unable to   |
   | obtain it through the world-wide-web, please send a note to          |
   | license@php.net so we can mail you a copy immediately.               |
   +----------------------------------------------------------------------+
   | Author: Stig Sther Bakken <ssb@php.net>                             |
   +----------------------------------------------------------------------+
*/

/* $Id: build-defs.h.in,v 1.15.2.2 2006/04/08 17:53:11 andrei Exp $ */

#define CONFIGURE_COMMAND " './configure' '--prefix=/usr' '--libdir=/usr/lib/php5' '--with-libdir=lib' '--with-layout=GNU' '--mandir=/usr/share/man' '--sysconfdir=/etc/php' '--with-config-file-path=/etc/php' '--with-config-file-scan-dir=/etc/php/php.d' '--without-pear' '--with-expat-dir=/usr' '--datadir=/usr/share/php' '--disable-short-tag' '--enable-memory-limit' '--enable-zend-multibyte' '--enable-safe-mode' '--with-exec-dir=/usr/lib/php5/bin' '--with-sqlite=/usr' '--enable-sqlite-utf8' '--disable-debug' '--enable-bcmath=shared' '--enable-calendar=shared' '--enable-dba=shared' '--with-gdbm' '--with-db4=/usr' '--with-cdb' '--with-flatfile' '--with-inifile' '--enable-dio' '--enable-exif=shared' '--enable-ftp=shared' '--enable-mbstring' '--enable-mbregex' '--enable-shmop=shared' '--enable-soap=shared' '--enable-sockets=shared' '--enable-sysvsem=shared' '--enable-sysvshm=shared' '--enable-wddx=shared' '--enable-yp=shared' '--enable-pcntl' '--with-bz2=shared' '--with-curl=shared,/usr' '--with-gd=/usr' '--with-jpeg-dir=/usr' '--with-png-dir=/usr' '--with-xpm-dir=/usr/lib' '--with-freetype-dir=/usr' '--with-t1lib' '--enable-gd-native-ttf' '--enable-gd-jis-conv' '--with-gettext=shared' '--with-gmp=shared' '--with-iconv=shared' '--with-imap=shared,ext/imap' '--with-imap-ssl' '--with-ldap=shared' '--with-mcrypt=shared,/usr' '--with-mhash=shared,/usr' '--with-mime-magic=shared' '--with-mysql=shared,/usr' '--with-mysqli=shared,/usr/bin/mysql_config' '--with-openssl' '--with-pgsql=shared' '--with-pspell=shared' '--with-snmp=shared,/usr' '--enable-ucd-snmp-hack' '--with-tidy=shared' '--with-unixODBC=shared,/usr' '--with-xmlrpc' '--with-xsl' '--with-zlib' '--with-apxs2=/usr/sbin/apxs' '--with-mm'"
#define PHP_ADA_INCLUDE		""
#define PHP_ADA_LFLAGS		""
#define PHP_ADA_LIBS		""
#define PHP_APACHE_INCLUDE	""
#define PHP_APACHE_TARGET	""
#define PHP_FHTTPD_INCLUDE      ""
#define PHP_FHTTPD_LIB          ""
#define PHP_FHTTPD_TARGET       ""
#define PHP_CFLAGS		"$(CFLAGS_CLEAN) -prefer-non-pic"
#define PHP_DBASE_LIB		""
#define PHP_BUILD_DEBUG		""
#define PHP_GDBM_INCLUDE	""
#define PHP_HSREGEX		""
#define PHP_IBASE_INCLUDE	""
#define PHP_IBASE_LFLAGS	""
#define PHP_IBASE_LIBS		""
#define PHP_IFX_INCLUDE		""
#define PHP_IFX_LFLAGS		""
#define PHP_IFX_LIBS		""
#define PHP_INSTALL_IT		"$(mkinstalldirs) '$(INSTALL_ROOT)/usr/lib/httpd/modules' &&                 $(mkinstalldirs) '$(INSTALL_ROOT)/etc/httpd/conf' &&                  /usr/sbin/apxs -S LIBEXECDIR='$(INSTALL_ROOT)/usr/lib/httpd/modules'                        -S SYSCONFDIR='$(INSTALL_ROOT)/etc/httpd/conf'                        -i -a -n php5 libphp5.la"
#define PHP_IODBC_INCLUDE	""
#define PHP_IODBC_LFLAGS	""
#define PHP_IODBC_LIBS		""
#define PHP_MSQL_INCLUDE	""
#define PHP_MSQL_LFLAGS		""
#define PHP_MSQL_LIBS		""
#define PHP_MYSQL_INCLUDE	"-I/usr/include/mysql"
#define PHP_MYSQL_LIBS		"-L/usr/lib/mysql -lmysqlclient "
#define PHP_MYSQL_TYPE		"external"
#define PHP_ODBC_INCLUDE	"-I/usr/include"
#define PHP_ODBC_LFLAGS		"-L/usr/lib"
#define PHP_ODBC_LIBS		"-lodbc"
#define PHP_ODBC_TYPE		"unixODBC"
#define PHP_OCI8_SHARED_LIBADD 	""
#define PHP_OCI8_DIR			""
#define PHP_OCI8_VERSION		""
#define PHP_ORACLE_SHARED_LIBADD 	"@ORACLE_SHARED_LIBADD@"
#define PHP_ORACLE_DIR				"@ORACLE_DIR@"
#define PHP_ORACLE_VERSION			"@ORACLE_VERSION@"
#define PHP_PGSQL_INCLUDE	""
#define PHP_PGSQL_LFLAGS	""
#define PHP_PGSQL_LIBS		""
#define PHP_PROG_SENDMAIL	"/usr/sbin/sendmail"
#define PHP_REGEX_LIB		""
#define PHP_SOLID_INCLUDE	""
#define PHP_SOLID_LIBS		""
#define PHP_EMPRESS_INCLUDE	""
#define PHP_EMPRESS_LIBS	""
#define PHP_SYBASE_INCLUDE	""
#define PHP_SYBASE_LFLAGS	""
#define PHP_SYBASE_LIBS		""
#define PHP_DBM_TYPE		""
#define PHP_DBM_LIB		""
#define PHP_LDAP_LFLAGS		""
#define PHP_LDAP_INCLUDE	""
#define PHP_LDAP_LIBS		""
#define PHP_BIRDSTEP_INCLUDE     ""
#define PHP_BIRDSTEP_LIBS        ""
#define PEAR_INSTALLDIR         ""
#define PHP_INCLUDE_PATH	".:"
#define PHP_EXTENSION_DIR       "/usr/lib/php5"
#define PHP_PREFIX              "/usr"
#define PHP_BINDIR              "/usr/bin"
#define PHP_LIBDIR              "/usr/lib/php5"
#define PHP_DATADIR             "/usr/share/php"
#define PHP_SYSCONFDIR          "/etc/php"
#define PHP_LOCALSTATEDIR       "/usr/var"
#define PHP_CONFIG_FILE_PATH    "/etc/php"
#define PHP_CONFIG_FILE_SCAN_DIR    "/etc/php/php.d"
#define PHP_SHLIB_SUFFIX        "so"
